%global debug_package %{nil}
%global __jar_repack 0
%global base_install_dir %{_javadir}{%name}


Name:           openshift-elasticsearch-plugin
Version:        2.4.4.15__redhat_1
Release:        1%{?dist}
Summary:        OpenShift plugin to ElasticSearch

Group:          System Environment/Daemons
# search-guard and all it's dependencies are licensed ASL 2.0
#  except slf4j-api and slf4j-log4j12 which have a MIT license
License:        ASL 2.0, MIT
URL:            https://github.com/fabric8io/openshift-elasticsearch-plugin
Source1: openshift-elasticsearch-plugin-2.4.4.15--redhat-1-scm-sources.zip
Source2: openshift-elasticsearch-plugin-2.4.4.15--redhat-1-project-sources.tar.gz
Source3: openshift-elasticsearch-plugin-2.4.4.15--redhat-1.jar
Source4: openshift-elasticsearch-plugin-2.4.4.15--redhat-1.pom
Source5: openshift-elasticsearch-plugin-2.4.4.15--redhat-1.zip

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       elasticsearch

%description
This is an OpenShift plugin to ElasticSearch to dynamically 
update the SearchGuard ACL based on a user's name

%prep
%setup -T -b 5 -c -n %{name}-2.4.4.15--redhat-1

ls -l

#docs
tar xfz %{SOURCE2} %{name}-2.4.4.15--redhat-1/{header.txt,license.txt,README.md}
mv %{name}-2.4.4.15--redhat-1/* .

%build
true

%install
rm -rf %{buildroot}

#libs
mkdir -p %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 *.jar %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-descriptor.properties %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-security.policy %{buildroot}%{_javadir}/%{name}/lib
install -p -m 755 sgadmin.sh %{buildroot}%{_javadir}/%{name}/lib

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc header.txt license.txt README.md
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/lib/*.jar
%{_javadir}/%{name}/lib/plugin-descriptor.properties
%{_javadir}/%{name}/lib/plugin-security.policy
%{_javadir}/%{name}/lib/sgadmin.sh

%changelog
* Thu Oct  5 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.15.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.15

* Mon Sep 07 2017 Jeff Cantrill <jcantril@redhat.com> - 2.4.4.13.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.13

* Mon Aug 28 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.12.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.12

* Tue Jun 27 2017 Jeff Cantrill <jcantril@redhat.com> - 2.4.4.9.redhat_1-1
- fix location of sgadmin

* Tue Jun 27 2017 Jeff Cantrill <jcantril@redhat.com> - 2.4.4.9.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.9 with sgadmin

* Tue Jun 27 2017 Jeff Cantrill <jcantril@redhat.com> - 2.4.4.9.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.9

* Fri Jun 09 2017 Noriko Hosoi <nhosoi@redhat.com> - 2.4.4.6.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.6

* Wed Apr 26 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.1.7.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.1.7

* Tue Mar 21 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.3.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.3

* Tue Mar 21 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.1.5.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.1.5

* Wed Mar  8 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.2.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.2

* Tue Feb  7 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.1.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.4.1

* Tue Feb  7 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.1.4.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.1.4

* Mon Feb  6 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.1.3.redhat_1-1
- openshift-elasticsearch-plugin version 2.4.1.3

* Thu Jan 19 2017 Rich Megginson <rmeggins@redhat.com> - 2.4.4.0.redhat_1-1
- bump for openshift-elasticsearch-plugin version 2.4.4.0

* Fri Jan  6 2017 Rich Megginson <rmeggins@redhat.com> - 0.19.redhat_1-1
- bump for openshift-elasticsearch-plugin version 2.4.1.2

* Thu Nov 17 2016 Troy Dawson <tdawson@redhat.com> - 0.18.redhat_1-1
- Update to version 0.18

* Mon Oct 31 2016 Rich Megginson <rmeggin@redhat.com> - 0.17.redhat_1-2
- add plugin-descriptor.properties and plugin-security.policy

* Thu Sep 22 2016 Troy Dawson <tdawson@redhat.com> - 0.17.redhat_1-1
- Update to version 0.17

* Thu Sep 01 2016 Troy Dawson <tdawson@redhat.com> - 0.16.redhat_1-1
- Update to version 0.16

* Thu Aug 25 2016 Scott Dodson <sdodson@redhat.com> 0.15.redhat_1-1
 - Update to 0.15 -- 76b08c4261dfa59933c8e52f844d61ea4a11f6bd 

* Tue Mar 22 2016 Troy Dawson <tdawson@redhat.com> - 0.13.redhat_1-1
- Update to version 0.13

* Thu Mar 17 2016 Troy Dawson <tdawson@redhat.com> - 0.12.redhat_1-1
- Update to version 0.12

* Mon Feb 22 2016 Troy Dawson <tdawson@redhat.com> - 0.9.redhat_1-1
- Update to version 0.9

* Tue Nov 03 2015 Chris Murphy <chmurphy@redhat.com> - 0.7.redhat_1-1
- Update to version 0.7

* Thu Oct 29 2015 Chris Murphy <chmurphy@redhat.com> - 0.6.redhat_1-1
- Update to version 0.6

* Fri Oct 23 2015 Troy Dawson <tdawson@redhat.com> - 0.5.redhat_1-1
- Update to version 0.5

* Fri Oct 16 2015 Troy Dawson <tdawson@redhat.com> - 0.4.0.redhat_1-1
- Update to version 0.4.0

* Mon Oct 05 2015 Troy Dawson <tdawson@redhat.com> - 0.2.0.redhat_1-1
- Initial package
